Doomsday Engine - Bug #995

[Doom] Shotgun Guy drops multiple Shotguns?
2012-03-04 10:30 - sonicdoommario

Status: New Start date: 2012-03-04
Priority: Low % Done: 0%
Assignee:

Category:

Target version: Modding

Description

This has happened to me on occasion while playing Doomsday. Sometimes, | will kill a single Shotgun and he will seem to drop at
least a dozen Shotguns. I've seen my Shotgun ammo go from 0 to 50 upon picking up a single Shotgun dropped from a Shotgun
Guy.

Apparently, this is a very old bug which even traces back to 1.8.6, and it's incredibly random, rare, and difficult to reproduce, which
makes this issue harder to fix.

Seems like one of two things will happen when this happens. One is that you will kill one Shotgun Guy and then he proceeds to drop
a dozen Shotguns. Other instances seem like that you kill a Shotgun Guy and it seems to produce multiple Shotgun Guys. The latter
scenario seems to be the case in a screenshot below. There is also a second picture within that attachment, showing how | picked up
several Shotguns at the beginning of E2M5 (there are only three Shotgun Guys at the beginning of E2M5 on Ultra Violence).

Labels: Gameplay

History

#1 - 2012-03-04 10:30 - skyjake

Lowering priority based on rarity.

#2 - 2012-03-04 12:09 - sonicdoommario

Ok, it appears | encountered this issue. | uploaded a zip file which contains screenshots, the doomsday.out, and a savegame file of where it
happened.

This instance occured in E2M6 of Ultimate Doom, in the fake exit room which requires the Yellow Key, and has a Soulsphere. On Ultra Violence,
there are six Shotgun Guys, and | picked up a total of ten Shotguns. There are no additional Shotguns in the area, so one of the Shotguns must've
dropped a couple of extra Shotguns.

The screenshots have thinker IDs (if useful) of all of the Shotgun Guys, and show all six Shotgun Guys in the room. The savegame was compiled with
Build 427, if compatibility is an issue.

In the Doomsday.out file, scroll down to E2M6. Start from where it says "Picked up a Yellow Skull Key" and count the Shotgun pickups. | got 10 of
them, but there are only a maximum of 6 Shotgun Guys in that part of the map.

Don't know how useful this will be, but I'll try to report each instance here.

#3 - 2012-03-05 03:54 - sonicdoommario

Attachments:

e http://sourceforge.net/p/deng/bugs/ discuss/thread/75299c8a/1dee/attachment/SHOTGUNTESTCASE1.ZIP

#4 - 2012-03-05 03:54 - skyjake

(originally posted by anonymous SF.net user)

I've had this happen a few times. | don't think the problem is multiple shotguns (or chainguns) being dropped.

Usually when you have multiple items in the same place, they're all picked up at once. In this case, if | remember right, you start acquiring shotguns at
a rate of ~10-20 per second until your ammo's full. The shotgun's left behind, but if you fire a shot and run over it again, it's picked up as normal. So it

looks to me like it's adding the gun to your inventory, but failing to remove it from the game.

| seem to recall this happening when you're just barely within range of the pickup, but | could be wrong about that.

#5 - 2012-11-28 10:16 - sonicdoommario
http://sourceforge.net/p/deng/bugs/_discuss/thread/75299c8a/1dee/attachment/SHOTGUNTESTCASE1.ZIP

| actually ran into this problem for the first time in a while in AV.wad map01. | killed a Shotgun Guy near the beginning of the level, walked over it, and
picked up multiple Shotguns (I didn't get maximum ammo, but | heard multiple Shotguns being picked up and there were only two Shotgun Guys in
front of me). The Shotgun sprite was gone, but when | again walked over the dead Shotgun Guy | picked up several more Shotguns (which | could not
see on screen) and then my Shotgun ammo was maxed out.

#6 - 2012-12-09 13:47 - sonicdoommario

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/75299c8a/592d/attachment/sg.jpg

#7 - 2016-08-09 10:25 - skyjake
- Target version deleted (1.9.7)

#8 - 2017-04-03 14:53 - skyjake
- Tags set to Gameplay

- Target version set to Modding
